Subject: new shadow-3.3.1 patches
From: Florian La Roche <[email-masked]>
Date: 18 Jan 1994 22:22:14 +0200
Newsgroups: comp.os.linux.announce

This version is uploaded to the Incoming directory of sunsite.unc.edu...

Here is a new version of linux-patches for the original shadow 3.3.1 version.
You need the patches (shadow-3.3.1.dif) and the unmodified original version
(shadow-3.3.1.tar.gz).
Patch the original version with:
cd shadow-3.3.1; patch -s -p0 < shadow-3.3.1.dif

There are several bugs fixed. I advise to change to these new patches.
I also tried to conform to the new Linux filesystem layout.
They should work ok for the old Linux C library 4.4.x and also for the
new C library 4.5.x.
(Note: This version doesn't use the shadow routines in the new C library,
so any maybe existing bugs in the C library do not harm. If you want to
use them, do not include the files shadow.c and gshadow.c, when building
the library libshadow.a.)

The original Patches were from Peter McDonald (for shadow 3.2.2).
Newer patches are also from:
- Wolfram Gloger [email-masked]
- Steve Robins [email-masked]
- Neal Becker [email-masked]

Please mail any further patches to [email-masked].

Florian  La Roche

(P.S.: Install also the new libshadow.a into /usr/lib, I forgot
that in the Makefile, I think...)

(P.S.2.: Please look at the copyright!!! If you want to rewrite some
of the programs and make them public under the GPL/LGPL, please
contact me.)

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.